View Issue Details

IDProjectCategoryView StatusLast Update
0002083Ham Radio DeluxeBugpublic2017-07-09 18:59
ReporterK7ZCZ 
Assigned To 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0002083: Rig Control: setting frequency with keyboard crashes rig control
DescriptionTyping in a frequency causes rig control to fall over
Steps To Reproduce1) Stop HRD. Make sure you're not running it!
2) Tune your rig to 10.000 MHz
3) Start HRD. Get connected.
4) Click on the first digit in the frequency display on Rig Control. (The digit "1", one, the left-most)
5) Quick, like a bunny, type "0" then "5" because you want to tune to 05.000 MHz.
BUG#1) Rig Control hits an assertion with the stack below, in a debug build of the product. In a release build, it crashes.

Additional Information
> HamRadioDeluxe.exe!ATL::CSimpleStringT<wchar_t,0>::SetAt(int iChar, wchar_t ch) Line 580 C++
     HamRadioDeluxe.exe!CFrequencyDisplay::Keystroke(const unsigned int nKeyCode, const short sCount) Line 1151 C++
     HamRadioDeluxe.exe!CRadioView::PreTranslateMessage(tagMSG * pMsg) Line 4858 C++
     HamRadioDeluxe.exe!CWnd::WalkPreTranslateTree(HWND__ * hWndStop, tagMSG * pMsg) Line 3363 C++
     HamRadioDeluxe.exe!AfxInternalPreTranslateMessage(tagMSG * pMsg) Line 233 C++
     HamRadioDeluxe.exe!CWinThread::PreTranslateMessage(tagMSG * pMsg) Line 777 C++
     HamRadioDeluxe.exe!CHamRadioDeluxeApp::PreTranslateMessage(tagMSG * pMsg) Line 1033 C++
     HamRadioDeluxe.exe!AfxPreTranslateMessage(tagMSG * pMsg) Line 252 C++
     HamRadioDeluxe.exe!AfxInternalPumpMessage() Line 178 C++
     HamRadioDeluxe.exe!CWinThread::PumpMessage() Line 900 C++
     HamRadioDeluxe.exe!CWinThread::Run() Line 629 C++
     HamRadioDeluxe.exe!CWinApp::Run() Line 787 C++
     HamRadioDeluxe.exe!AfxWinMain(HINSTANCE__ * hInstance, HINSTANCE__ * hPrevInstance, wchar_t * lpCmdLine, int nCmdShow) Line 47 C++
     HamRadioDeluxe.exe!wWinMain(HINSTANCE__ * hInstance, HINSTANCE__ * hPrevInstance, wchar_t * lpCmdLine, int nCmdShow) Line 26 C++
     [External Code]
TagsNo tags attached.
ModuleRig Control
Sub-ModuleFunctional
Testing Beta Successful

Relationships

Activities

K7ZCZ

2017-06-28 23:09

viewer   ~0003401

Fixed with checkin 3541
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3541

WA9PIE

2017-07-04 23:30

administrator   ~0003459

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003494

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003566

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-28 04:35 K7ZCZ New Issue
2017-06-28 23:07 K7ZCZ Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2017-06-28 23:09 K7ZCZ Status new => resolved
2017-06-28 23:09 K7ZCZ Additional Information Updated View Revisions
2017-06-28 23:09 K7ZCZ Testing => Not Started
2017-06-28 23:09 K7ZCZ Note Added: 0003401
2017-06-30 17:48 K7ZCZ Resolution open => fixed
2017-06-30 17:48 K7ZCZ Additional Information Updated View Revisions
2017-06-30 17:52 K7ZCZ Testing Not Started => Beta Passed
2017-07-01 08:30 WA9PIE Fixed in Version => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003459
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003494
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003566
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful